org.apache.avro.perf.test.reflect

## Class ReflectNestedObjectArrayTest

- java.lang.Object
- - org.apache.avro.perf.test.reflect.ReflectNestedObjectArrayTest

Direct Known Subclasses:
  ReflectNestedObjectArrayTest_jmhType_B1

    public class ReflectNestedObjectArrayTest
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ReflectNestedObjectArrayTest.TestStateDecode`
`static class` `ReflectNestedObjectArrayTest.TestStateEncode`

### Constructor Summary

Constructors
Constructor and Description
`ReflectNestedObjectArrayTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decode(org.openjdk.jmh.infra.Blackhole blackhole, ReflectNestedObjectArrayTest.TestStateDecode state)`
`void` `encode(ReflectNestedObjectArrayTest.TestStateEncode state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectNestedObjectArrayTest

    public ReflectNestedObjectArrayTest()

### Method Detail

#### encode

    public void encode(ReflectNestedObjectArrayTest.TestStateEncode state)
                throws Exception

Throws:
  `Exception`

#### decode

    public void decode(org.openjdk.jmh.infra.Blackhole blackhole,
                       ReflectNestedObjectArrayTest.TestStateDecode state)
                throws Exception

Throws:
  `Exception`